- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

# JSpline Member List

This is the complete list of members for JSpline, including all inherited members.

AddControlPoint(const Point &pt) | JSpline |
GeneratePixels() | JSpline |
GetControlPoint(Point &point, int index) | JSpline |
GetPixel(Point &point, int index) | JSpline |
GetPixelCount() | JSpline |
JSpline() | JSpline |
Load(const char *filename, float xscale=1.0f, float yscale=1.0f) | JSpline |
PointOnCurve(Point &out, float t, const Point &p0, const Point &p1, const Point &p2, const Point &p3) | JSpline |
Render(float x, float y, PIXEL_TYPE color=ARGB(255, 255, 255, 255), PIXEL_TYPE controlColor=ARGB(192, 0, 192, 0)) | JSpline |